Loading...
Searching...
No Matches
dolfin::GeometryPredicates Class Reference

`#include <GeometryPredicates.h>`

## Static Public Member Functions

static bool | is_degenerate (const std::vector< Point > &simplex, std::size_t tdim, std::size_t gdim)
| Check whether a single simplex is degenerate.
static bool | is_finite (const std::vector< Point > &simplex)
| Check whether simplex is finite (not Inf or NaN).
static bool | is_finite (const std::vector< double > &simplex)
| Check whether simplex is finite (not Inf or NaN).
static bool | convex_hull_is_degenerate (const std::vector< Point > &p, std::size_t gdim)
| Check whether the convex hull is degenerate.

## Detailed Description

This class implements geometric predicates, i.e. function that return either true or false.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GeometryPredicates.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GeometryPredicates.cpp